QGrid(3qt)

NAME
QGrid - Simple geometry management of its children

SYNOPSIS
#include <ntqgrid.h>

Inherits QFrame.

  Public Members
QGrid ( int n, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
QGrid ( int n, Orientation orient, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
void setSpacing ( int space )

DESCRIPTION
The QGrid widget provides simple geometry management of its children.

The grid places its widgets either in columns or in rows depending on its orientation.

The number of rows or columns is defined in the constructor. All the grid's children will be placed and sized in accordance with their sizeHint() and sizePolicy().

Use setMargin() to add space around the grid itself, and setSpacing() to add space between the widgets.

<center>
[Image Omitted]

</center>

See also QVBox, QHBox, QGridLayout, Widget Appearance and Style, and Layout Management.

MEMBER FUNCTION DOCUMENTATION

QGrid::QGrid ( int n, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
Constructs a grid widget with parent parent, called name. n specifies the number of columns. The widget flags f are passed to the QFrame constructor.

QGrid::QGrid ( int n, Orientation orient, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
Constructs a grid widget with parent parent, called name. If orient is Horizontal, n specifies the number of columns. If orient is Vertical, n specifies the number of rows. The widget flags f are passed to the QFrame constructor.

void QGrid::setSpacing ( int space )
Sets the spacing between the child widgets to space.

SEE ALSO
http://doc.trolltech.com/ntqgrid.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qgrid.3qt) and the Qt version (3.3.8).